package xyz.wbsite.module.admin.req;

import xyz.wbsite.frame.base.BaseFindRequest;
import java.util.Date;

/**
 * LocationsFindRequest - 路径配置查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2021-02-07
 */
public class LocationsFindRequest extends BaseFindRequest {

    /**
     * 服务主键.
     */
    private Long serviceId;

    /**
     * 配置标题.
     */
    private String localTitle;

    /**
     * 配置标题模糊查询.
     */
    private String localTitleLike;

    /**
     * 配置备注模糊查询.
     */
    private String localNoteLike;

    /**
     * 配置路径.
     */
    private String localPath;

    /**
     * 配置路径模糊查询.
     */
    private String localPathLike;

    /**
     * 是否启用.
     */
    private Boolean localValid;

    /**
     * 启用过滤.
     */
    private Boolean filter;

    /**
     * 开始日期.
     */
    private Date startDate;

    /**
     * 结束日期.
     */
    private Date endDate;

    public Long getServiceId() {
        return this.serviceId;
    }

    public void setServiceId(Long serviceId) {
        this.serviceId = serviceId;
    }

    public String getLocalTitle() {
        return this.localTitle;
    }

    public void setLocalTitle(String localTitle) {
        this.localTitle = localTitle;
    }

    public String getLocalTitleLike() {
        return this.localTitleLike;
    }

    public void setLocalTitleLike(String localTitleLike) {
        this.localTitleLike = localTitleLike;
    }

    public String getLocalNoteLike() {
        return this.localNoteLike;
    }

    public void setLocalNoteLike(String localNoteLike) {
        this.localNoteLike = localNoteLike;
    }

    public String getLocalPath() {
        return this.localPath;
    }

    public void setLocalPath(String localPath) {
        this.localPath = localPath;
    }

    public String getLocalPathLike() {
        return this.localPathLike;
    }

    public void setLocalPathLike(String localPathLike) {
        this.localPathLike = localPathLike;
    }

    public Boolean getLocalValid() {
        return this.localValid;
    }

    public void setLocalValid(Boolean localValid) {
        this.localValid = localValid;
    }

    public Boolean getFilter() {
        return this.filter;
    }

    public void setFilter(Boolean filter) {
        this.filter = filter;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
